---
title: "sqrt"
excerpt: "Computes the square root of a number."
layout: manual
---

Computes the square root of a number.



```js
sqrt(num: number) -> number
```

### Tags

* `math`

### Examples

```js
const exampleSketch = startSketchOn("XZ")
  |> startProfileAt([0, 0], %)
  |> angledLine({ angle: 50, length: sqrt(2500) }, %)
  |> yLineTo(0, %)
  |> close(%)

const example = extrude(5, exampleSketch)
```

![Rendered example of sqrt 0](data:image/png;base64,[encoded data, 164040 characters])

### Arguments

* `num`: `number` (REQUIRED)

### Returns

`number`



